diff --git "a/D:\\DOCUME~1\\43D6~1\\LOCALS~1\\Temp\\TVH2182.tmp\\TVHome-HEAD-left.cs" "b/D:\\Documents and Settings\\\304\354\350\362\360\350\351\\\314\356\350 \344\356\352\363\354\345\355\362\373\\Visual Studio 2010\\Projects\\MediaPortal-1\\TvEngine3\\TVLibrary\\TvPlugin\\TvPlugin\\TVHome.cs"
index f10f200..76f4d4e 100644
--- "a/D:\\DOCUME~1\\43D6~1\\LOCALS~1\\Temp\\TVH2182.tmp\\TVHome-HEAD-left.cs"
+++ "b/D:\\Documents and Settings\\\304\354\350\362\360\350\351\\\314\356\350 \344\356\352\363\354\345\355\362\373\\Visual Studio 2010\\Projects\\MediaPortal-1\\TvEngine3\\TVLibrary\\TvPlugin\\TvPlugin\\TVHome.cs"	
@@ -183,7 +183,7 @@ namespace TvPlugin
     protected static int _notifyTVTimeout = 15;
     protected static bool _playNotifyBeep = true;
     protected static int _preNotifyConfig = 60;
-
+    public static bool IsNotificationBarEnabled = TVUtil.GetNotificationBarStatus();
     #endregion
 
     #region events & delegates
@@ -612,7 +612,17 @@ namespace TvPlugin
         UpdateStateOfRecButton();
         UpdateRecordingIndicator();
         UpdateGUIonPlaybackStateChange();
-        ShowDlgAsynch();
+        if (!IsNotificationBarEnabled)
+        {
+            ShowDlgAsynch();
+        }
+        else
+        {
+            MPNotificationBar.INotification LostConnectionNotify = MPNotificationBar.NotificationBarManager.AddNotification(1, GUILocalizeStrings.Get(1510), MPNotificationBar.NotificationBarManager.Types.Warning, false);
+            LostConnectionNotify.ShowInFullScreen = false;
+            LostConnectionNotify.SecondsToLive = 1;
+
+        }
         return;
       }
 
@@ -910,7 +920,18 @@ namespace TvPlugin
 
       if (guiWindow.WindowLoaded)
       {
-        ShowDlgAsynch();
+
+          if (!IsNotificationBarEnabled)
+          {
+              ShowDlgAsynch();
+          }
+          else
+          {
+              MPNotificationBar.INotification LostConnectionNotify = MPNotificationBar.NotificationBarManager.AddNotification(1, GUILocalizeStrings.Get(1510), MPNotificationBar.NotificationBarManager.Types.Warning, false);
+              LostConnectionNotify.ShowInFullScreen = false;
+              LostConnectionNotify.SecondsToLive = 1;
+
+          }
       }
     }
 
